Bullet Collision Detection & Physics Library: btClosestNotMeConvexResultCallback Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btClosestNotMeConvexResultCallback Class Reference
Inheritance diagram for btClosestNotMeConvexResultCallback:
[legend]
Collaboration diagram for btClosestNotMeConvexResultCallback:
[legend]

## Public Member Functions
| btClosestNotMeConvexResultCallback (btCollisionObject *me, const btVector3 &fromA, const btVector3 &toA, btOverlappingPairCache *pairCache, btDispatcher *dispatcher)
virtual btScalar | addSingleResult (btCollisionWorld::LocalConvexResult &convexResult, bool normalInWorldSpace)
virtual bool | needsCollision (btBroadphaseProxy *proxy0) const
Public Member Functions inherited from btCollisionWorld::ClosestConvexResultCallback
| ClosestConvexResultCallback (const btVector3 &convexFromWorld, const btVector3 &convexToWorld)
virtual btScalar | addSingleResult (LocalConvexResult &convexResult, bool normalInWorldSpace)
Public Member Functions inherited from btCollisionWorld::ConvexResultCallback
| ConvexResultCallback ()
virtual | ~ConvexResultCallback ()
bool | hasHit () const
virtual bool | needsCollision (btBroadphaseProxy *proxy0) const
virtual btScalar | addSingleResult (LocalConvexResult &convexResult, bool normalInWorldSpace)=0

## Public Attributes
btCollisionObject * | m_me
btScalar | m_allowedPenetration
btOverlappingPairCache * | m_pairCache
btDispatcher * | m_dispatcher
Public Attributes inherited from btCollisionWorld::ClosestConvexResultCallback
btVector3 | m_convexFromWorld
btVector3 | m_convexToWorld
btVector3 | m_hitNormalWorld
btVector3 | m_hitPointWorld
const btCollisionObject * | m_hitCollisionObject
Public Attributes inherited from btCollisionWorld::ConvexResultCallback
btScalar | m_closestHitFraction
int | m_collisionFilterGroup
int | m_collisionFilterMask

## Detailed Description

Definition at line 756 of file btDiscreteDynamicsWorld.cpp.

## Constructor & Destructor Documentation

## ◆ btClosestNotMeConvexResultCallback()

btClosestNotMeConvexResultCallback::btClosestNotMeConvexResultCallback | ( | btCollisionObject * | me,
|  | const btVector3 & | fromA,
|  | const btVector3 & | toA,
|  | btOverlappingPairCache * | pairCache,
|  | btDispatcher * | dispatcher
| ) |  |
| inline

Definition at line 765 of file btDiscreteDynamicsWorld.cpp.

## Member Function Documentation

## ◆ addSingleResult()

virtual btScalar btClosestNotMeConvexResultCallback::addSingleResult | ( | btCollisionWorld::LocalConvexResult & | convexResult,
|  | bool | normalInWorldSpace
| ) |  |
| inlinevirtual

Reimplemented from btCollisionWorld::ClosestConvexResultCallback.

Definition at line 773 of file btDiscreteDynamicsWorld.cpp.

## ◆ needsCollision()

virtual bool btClosestNotMeConvexResultCallback::needsCollision | ( | btBroadphaseProxy * | proxy0 | ) | const
| inlinevirtual

don't do CCD when the collision filters are not matching

Reimplemented from btCollisionWorld::ConvexResultCallback.

Definition at line 794 of file btDiscreteDynamicsWorld.cpp.

## Member Data Documentation

## ◆ m_allowedPenetration

btScalar btClosestNotMeConvexResultCallback::m_allowedPenetration

Definition at line 760 of file btDiscreteDynamicsWorld.cpp.

## ◆ m_dispatcher

btDispatcher* btClosestNotMeConvexResultCallback::m_dispatcher

Definition at line 762 of file btDiscreteDynamicsWorld.cpp.

## ◆ m_me

btCollisionObject* btClosestNotMeConvexResultCallback::m_me

Definition at line 759 of file btDiscreteDynamicsWorld.cpp.

## ◆ m_pairCache

btOverlappingPairCache* btClosestNotMeConvexResultCallback::m_pairCache

Definition at line 761 of file btDiscreteDynamicsWorld.cpp.

The documentation for this class was generated from the following file:

- btDiscreteDynamicsWorld.cpp